Package Gnumed :: Package wxpython :: Module gmPatSearchWidgets |
[frames] | no frames]

# Module gmPatSearchWidgets

source code

GNUmed quick person search widgets.

This widget allows to search for persons based on the critera name, date of birth and person ID. It goes to considerable lengths to understand the user's intent from her input. For that to work well we need per-culture query generators. However, there's always the fallback generator.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (for details see http://www.gnu.org/)

Classes
| cMergePatientsDlg
| cSelectPersonFromListDlg
| cSelectPersonDTOFromListDlg
| cPersonSearchCtrl Widget for smart search for persons.
| cActivePatientSelector

Functions
merge_patients(parent=None) | source code
load_persons_from_ca_msva() | source code
load_persons_from_xdt() | source code
load_persons_from_pracsoft_au() | source code
load_persons_from_kvks() | source code
get_person_from_external_sources(parent=None, search_immediately=False, activate_immediately=False) Load patient from external source. | source code
set_active_patient(patient=None, forced_reload=False) | source code

Variables
| ID_PatPickList = `wx.NewId()`
| ID_BTN_AddNew = `wx.NewId()`

Imports: sys, os, glob, regex, logging, wx, gmDispatcher, gmDateTime, gmTools, gmPG2, gmI18N, gmCfg, gmMatchProvider, gmCfg2, gmNetworkTools, gmPerson, gmStaff, gmKVK, gmPraxis, gmCA_MSVA, gmPersonSearch, gmProviderInbox, gmGuiHelpers, gmAuthWidgets, gmRegetMixin, gmEditArea, gmPhraseWheel, create_new_person, wxgMergePatientsDlg, wxgSelectPersonFromListDlg, wxgSelectPersonDTOFromListDlg

Function Details

### get_person_from_external_sources(parent=None, search_immediately=False, activate_immediately=False) | source code
    Load patient from external source.

    - scan external sources for candidates
    - let user select source
      - if > 1 available: always
      - if only 1 available: depending on search_immediately
    - search for patients matching info from external source
    - if more than one match:
      - let user select patient
    - if no match:
      - create patient
    - activate patient